
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Feature #815

Replay Gain: "Album" option should fall back to Track Replay Gain if Album RG tag not available

August 06, 2018 01:17 - Yao Mitachi

Status: Closed Start date: August 06, 2018

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: libaudcore Estimated time: 0.00 hour

Target version:    

Affects version: 3.9   

Description

Right now, there's three options: Track only, Album only, or "based on shuffle". These are fine options, but I think the album option

should either be reworked to use the track RG tag if album RG tag isn't present, or there should be another option like "prioritize

album". Right now, if you have Audacious on Shuffle Albums, sometimes you will get singles that aren't part of an album. So, those

songs may currently play much louder than the albums that were otherwise playing, since those singles may not have an Album

Replay Gain tag, only one for Track.

History

#1 - August 06, 2018 16:03 - John Lindgren

Please see if this is working for you in 3.10-beta1.  It should have been fixed by this commit:

https://github.com/audacious-media-player/audacious/commit/5927e6eb3c3ff2871c3d4dbf2266879de29b8b9f

#2 - August 06, 2018 20:48 - Yao Mitachi

John Lindgren wrote:

Please see if this is working for you in 3.10-beta1.  It should have been fixed by this commit:

https://github.com/audacious-media-player/audacious/commit/5927e6eb3c3ff2871c3d4dbf2266879de29b8b9f

 

OK. Would there happen to be a Flatpak or Snap package available, or any precompiled binary? If not, I can build it from source -- it may not be

available as a Solus package until after it comes out of beta.

#3 - August 09, 2018 14:45 - John Lindgren

We only release source packages.  3.10 is out of beta now though, so you could just ask your distro to package it.

#4 - September 27, 2018 15:49 - John Lindgren

- % Done changed from 0 to 100

- Status changed from New to Closed

- Category set to libaudcore

Fixed in 3.10.  Closing.
